<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:php="http://php.net/xsl"
                              xmlns:xh="http://www.w3.org/1999/xhtml"
                              xmlns="http://www.w3.org/1999/xhtml"
                              xmlns:nt="http://www.arielworks.net/works/codeyard/himmel/xnm"
                              xmlns:nts="http://www.arielworks.net/works/codeyard/himmel/xnm/settings"
                              xmlns:nidx="http://www.arielworks.net/works/codeyard/himmel/xnm/index"
                              xmlns:sdf="http://www.arielworks.net/works/codeyard/sdf"
                              xmlns:hml="http://www.arielworks.net/works/codeyard/himmel"
                              xmlns:s3="http://www.arielworks.net/works/codeyard/sdf/s3"
                              xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                              xmlns:dc="http://purl.org/dc/elements/1.1/"
                              xmlns:dcterms="http://purl.org/dc/terms/">

<xsl:include href="IndexToSdfUtil.xsl"/>

<xsl:template match="/nidx:index">
    <sdf:document xml:lang="ja">
        <sdf:meta>
            <dc:title>
                <xsl:value-of select="$nts:settings/nts:value[@name = 'SiteName']"/>
                <xsl:text>::</xsl:text>
                <xsl:value-of select="$nidx:year"/>
                <xsl:text>-</xsl:text>
                <xsl:value-of select="$nidx:month"/>
                <xsl:if test="not($nidx:category = 'ALL')">
                    <xsl:text>::</xsl:text>
                    <xsl:call-template name="getCategoryName">
                        <xsl:with-param name="of" select="$nidx:category"/>
                    </xsl:call-template>
                </xsl:if>
            </dc:title>
            <xsl:call-template name="nidx:copy_latest_modified">
                <xsl:with-param name="nidx:targets_dom" select="./nidx:year[@num = $nidx:year]/nidx:month[@num = $nidx:month]//nidx:note[nt:category/nt:li = $nidx:category]"/>
            </xsl:call-template>
            <xsl:call-template name="nidx:copy_oldest_created">
                <xsl:with-param name="nidx:targets_dom" select="./nidx:year[@num = $nidx:year]/nidx:month[@num = $nidx:month]//nidx:note[nt:category/nt:li = $nidx:category]"/>
            </xsl:call-template>

            <link rel="up" href="../{$nidx:year}" title="{$nts:settings/nts:value[@name = 'siteName']}::{$nidx:year}"/>

            <xsl:variable name="prev_page" select="./descendant::nidx:year[@num = $nidx:year]/nidx:month[@num = $nidx:month]/preceding-sibling::nidx:month[nt:day/nt:note/nt:category/nt:li = $nidx:category][1]
                                                 | ./descendant::nidx:year[@num = $nidx:year]/preceding-sibling::nidx:year[1]/nidx:month[nt:day/nt:note/nt:category/nt:li = $nidx:category][last()]"/>
            <xsl:if test="$prev_page">
                <link rel="prev" href="{$nts:settings/nts:value[@name = 'RootPath']}/{$prev_page[1]/ancestor::nidx:year/@num}/{$prev_page[1]/@num}" title="{$nts:settings/nts:value[@name = 'siteName']}::{$prev_page[1]/ancestor::nidx:year/@num}-{$prev_page[1]/@num}"/>
            </xsl:if>
            <xsl:variable name="next_page" select="./descendant::nidx:year[@num = $nidx:year]/nidx:month[@num = $nidx:month]/following-sibling::nidx:month[nt:day/nt:note/nt:category/nt:li = $nidx:category][1]
                                                 | ./descendant::nidx:year[@num = $nidx:year]/following-sibling::nidx:year[1]/nidx:month[nt:day/nt:note/nt:category/nt:li = $nidx:category][1]"/>
            <xsl:if test="$next_page">
                <link rel="next" href="{$nts:settings/nts:value[@name = 'RootPath']}/{$next_page[1]/ancestor::nidx:year/@num}/{$next_page[1]/@num}" title="{$nts:settings/nts:value[@name = 'siteName']}::{$next_page[1]/ancestor::nidx:year/@num}-{$next_page[1]/@num}"/>
            </xsl:if>
        </sdf:meta>
        <sdf:body>
            <xsl:call-template name="listDays">
                <xsl:with-param name="target" select="/nidx:index/nidx:year[@num = $nidx:year]/nidx:month[@num = $nidx:month]/nidx:day"/>
                <xsl:with-param name="layer" select="2"/>
                <xsl:with-param name="category" select="$nidx:category"/>
            </xsl:call-template>
        </sdf:body>
    </sdf:document>
</xsl:template>


</xsl:stylesheet>